This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 821808 - [as7] HornetQ server sub-resources and properties missing
[as7] HornetQ server sub-resources and properties missing
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Plugins (Show other bugs)
4.4
Unspecified Unspecified
high Severity unspecified (vote)
: ---
: JON 3.1.0
Assigned To: Stefan Negrea
Mike Foley
:
Depends On: 817808
Blocks: as7-plugin 817811 820757 821851
  Show dependency treegraph
 
Reported: 2012-05-15 10:33 EDT by Stefan Negrea
Modified: 2013-09-03 11:16 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 817808
Environment:
Last Closed: 2013-09-03 11:16:13 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Stefan Negrea 2012-05-15 10:33:41 EDT
+++ This bug was initially created as a clone of Bug #817808 +++

In ER6, the hornetq-server has one extra configurable property exposed. This is applicable to both runtime (deployment specific) and server subsystems.

The property:
"page-max-concurrent-io" => {
   "type" => INT,
   "description" => "The maximum number of concurrent reads allowed on paging",
   "expressions-allowed" => false,
   "nillable" => true,
   "default" => 5,
   "access-type" => "read-write",
   "storage" => "configuration",
   "restart-required" => "all-services"
},

--- Additional comment from snegrea@redhat.com on 2012-05-08 15:48:25 EDT ---

Server subsystem updated with the latest configuration for hornetq. 

Commit went in master branch pre-branching and is currently available for testing in JON 3.1.0:
http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=8601dc25257d4929c39e5c02c991cc40e70dac9f

--- Additional comment from snegrea@redhat.com on 2012-05-10 17:27:07 EDT ---

This BZ only covers HornetQ server subsystem updates. For deployment HornetQ updates please see bug 820757.

Also, this BZ will cover any updates for existing sub-resources and the addition of missing sub-resources for the messaging subsystem or sub-resources.
Comment 1 Stefan Negrea 2012-05-15 10:59:27 EDT
release/jon3.1.0 branch commit:

http://git.fedorahosted.org/git/?p=rhq/rhq.git;a=commit;h=b5b1f718dc532d687d4b97e0a9d25968fa7465dd
Comment 2 Libor Zoubek 2012-06-05 05:33:29 EDT
verified on JON3.1.CR2
Comment 3 Heiko W. Rupp 2013-09-03 11:16:13 EDT
Bulk closing of old issues in VERIFIED state.

Note You need to log in before you can comment on or make changes to this bug.